RECVSTATS(8C)

NAME
recvstats - summarize HylaFAX receive accounting information

SYNOPSIS
/usr/local/sbin/recvstats [ options ] [ files ]

DESCRIPTION
recvstats is a command script that prints a summary of the HylaFAX accounting statistics for received facsimile. The statistics can be sorted using one of several keys: the caller's CSI (default), the communication speed, and the communication data format. Statistics are read from the file /var/spool/hylafax/etc/xferfaxlog unless filenames are specified on the command line.

The following table is an example of the output from recvstats (using the default sort key):

Sender	Pages	Time	Pg/min	Errs	TypRate	TypData
	61	30:47	2.0	16	9600	1-D	MR
+13037904674	5	1:34	3.2	2	9600	1-D	MR
+14159657824	1	1:00	1.0	0	9600	1-D	MR
+15086636852	2	0:00	2.0	0	9600	1-D	MR
+15105268781	740	5:47:51	2.1	59	9600	1-D	MR
+15105287164	20	7:00	2.9	0	9600	1-D	MR
+15123713545	3	1:19	2.3	0	9600	1-D	MR
+15123713641	5	1:04	4.6	0	9600	1-D	MR
+16099211926	3	2:00	1.5	0	9600	1-D	MR
+17088987617	1	0:18	3.3	0	9600	1-D	MR
415 390 6175	22	6:01	3.6	0	9600	1-D	MR
415 965 7651	56	34:52	1.6	14	9600	1-D	MR
415 973 6723	1	2:09	0.5	0	9600	2-D	MR
49 211 161514	1	0:00	1.0	0	9600	2-D	MR
8185970503	1	0:28	2.1	0	9600	2-D	MR
ALDUS CORPORATION	3	2:34	1.2	0	9600	1-D	MR
------------------------------------------------------------
Total	925	7:19:03	2.1	91

The Sender column shows the caller's TSI (notice that some callers have not setup a TSI). The Pages column is the total number of good pages received. The time column shows the total amount of time spent receiving facsimile from a sender. The Pg/min column displays the average transfer rate. The Errs column indicates how many protocol errors were encountered while receiving facsimile. The TypRate column displays the most common communication speed with which facsimile were received. The TypData column shows the most common data format in which facsimile data were received.

OPTIONS

-csi*
    Sort output by caller's CSI.

-format
    Sort output by data format.

-send*
    Sort output by sender (i.e. caller's CSI ).

-speed
    Sort output by signalling rate.

-since time
    Show information only for the facsimile received since the specified time; where time is of the form ``MM/DD/YY HH:MM'' (the date(1) format string %D %H:%M).

FILES
/var/spool/hylafax	spooling area
/var/spool/hylafax/etc/xferfaxlog	default file from which to read statistics

SEE ALSO
faxq(8C), xferfaxstats(8C), hylafax-log(5F)